# Generated by Django 4.1.5 on 2023-05-15 06:42

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("isa", "0007_remove_assay_instrument_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Project",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.TextField(help_text="A concise name given to the project."),
                ),
                ("alias", models.CharField(help_text="Project alias", max_length=100)),
                (
                    "description",
                    models.TextField(help_text="A textual description of the project."),
                ),
                (
                    "creation_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date on which the project was reported to the repository.",
                    ),
                ),
                (
                    "public_release_date",
                    models.DateField(
                        blank=True,
                        help_text="The date on which the project was released publicly.",
                        null=True,
                    ),
                ),
                (
                    "last_modification_date",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date of the last modification.",
                    ),
                ),
                (
                    "investigation",
                    models.ManyToManyField(
                        help_text="List of investigation associated.",
                        to="isa.investigation",
                    ),
                ),
            ],
        ),
    ]
